Minimum Requirements

From your , ,

Applies to , , ,

Overview

This article lists the minimum requirements to use When I Work on your computer, iPhone, iPad, or Android phone.

Computer (via the web app)

The When I Work web app supports the following internet browsers running on Windows or macOS:

When I Work Scheduling

Make sure to download the scheduling app from the App Store or Google Play Store as our web app is not supported by mobile web browsers.

iPhone or iPad

Your iPhone or iPad must be running iOS 11 or later.

iOS versions 7.1–10.0 can continue to use older versions of the When I Work app, but will not receive new features or updates.

Android phone or tablet

Your Android phone must be running Android version 5.0 or later.

Android versions 4.0–4.4 can continue to use older versions of the When I Work app, but will not receive new features or updates.

Time Clock Terminal

You can download the Time Clock Terminal app from the App Store or Google Play Store.

iPhone or iPad

Your iPhone or iPad must be running iOS 9.0 or later.

Android phone or tablet

Your Android phone must be running Android version 5.0 and later.

Updated on March 11, 2019

Was this article helpful?

Related Articles

Still Need Help?

Open a ticket with our customer care team.

Submit a Ticket